# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`gnome`](#gnome): Installs and configures a minimal Gnome environment

#### Private Classes

* `gnome::config`: Set configuration unique to Gnome 3

## Classes

### <a name="gnome"></a>`gnome`

Installs and configures a minimal Gnome environment

#### Parameters

The following parameters are available in the `gnome` class:

* [`configure`](#configure)
* [`dconf_hash`](#dconf_hash)
* [`dconf_profile_hierarchy`](#dconf_profile_hierarchy)
* [`packages`](#packages)
* [`package_ensure`](#package_ensure)

##### <a name="configure"></a>`configure`

Data type: `Boolean`

Use the module to configure Gnome

@see data/common.yaml

##### <a name="dconf_hash"></a>`dconf_hash`

Data type: `Hash[String[1], Dconf::SettingsHash]`

dconf settings specific to Gnome 3

@see data/common.yaml
@see https://wiki.gnome.org/Projects/dconf/SystemAdministrators

##### <a name="dconf_profile_hierarchy"></a>`dconf_profile_hierarchy`

Data type: `Dconf::DBSettings`

Dconf db priority

@see https://help.gnome.org/admin/system-admin-guide/stable/dconf.html.en
@see https://wiki.gnome.org/Projects/dconf/SystemAdministrators

##### <a name="packages"></a>`packages`

Data type: `Hash[String[1], Optional[Hash]]`

A Hash of packages to be installed

* NOTE: Setting this will *override* the default package list
* The ensure value can be set in the hash of each package, like the example
  below:

@example Override packages
  { 'gedit' => { 'ensure' => '3.14.3' } }

@see data/common.yaml

##### <a name="package_ensure"></a>`package_ensure`

Data type: `Simplib::PackageEnsure`

The SIMP global catalyst to set the default `ensure` settings for packages
managed with this module. Will be overwitten by $packages.

Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

